Update an event destination
curl --request POST \
--url https://api.redbark.com/v2/event_destinations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Redbark-Version: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Redbark-Version': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.redbark.com/v2/event_destinations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/event_destinations/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "ed_5Rt7Uv9wXy1zAb3cDe5fGh",
"object": "event_destination",
"name": "<string>",
"type": "webhook_endpoint",
"webhook_endpoint": {
"url": "<string>",
"signing_secret": "<string>"
},
"enabled_events": [
"<string>"
],
"event_payload": "thin",
"status": "enabled",
"status_details": {},
"metadata": {},
"livemode": true,
"created": "2026-08-21T09:30:00.000Z",
"updated": "2026-08-21T09:30:00.000Z"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Event destinations
Update an event destination
Rename, change the webhook url, enabled events or metadata.
POST
/
event_destinations
/
{id}
Update an event destination
curl --request POST \
--url https://api.redbark.com/v2/event_destinations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Redbark-Version: <api-key>' \
--data '{}'const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Redbark-Version': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({})
};
fetch('https://api.redbark.com/v2/event_destinations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.redbark.com/v2/event_destinations/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Redbark-Version": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "ed_5Rt7Uv9wXy1zAb3cDe5fGh",
"object": "event_destination",
"name": "<string>",
"type": "webhook_endpoint",
"webhook_endpoint": {
"url": "<string>",
"signing_secret": "<string>"
},
"enabled_events": [
"<string>"
],
"event_payload": "thin",
"status": "enabled",
"status_details": {},
"metadata": {},
"livemode": true,
"created": "2026-08-21T09:30:00.000Z",
"updated": "2026-08-21T09:30:00.000Z"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"doc_url": "<string>",
"request_id": "<string>"
}
}Authorizations
Authorization: Bearer rbk_live_...
The API release your integration is built against, e.g. 2026-10-01.wattle. Required on every request.
Path Parameters
The id of the object.
Example:
"ed_5Rt7Uv9wXy1zAb3cDe5fGh"
Body
application/json
Response
Updated
Example:
"ed_5Rt7Uv9wXy1zAb3cDe5fGh"
Available options:
event_destination Available options:
webhook_endpoint Show child attributes
Show child attributes
Available options:
thin, snapshot Available options:
enabled, disabled Show child attributes
Show child attributes
Up to 50 string pairs. Set a key to null in an update to unset it.
Show child attributes
Show child attributes
Example:
"2026-08-21T09:30:00.000Z"
Example:
"2026-08-21T09:30:00.000Z"

